Summary: Convert filename encodings
Name:    convmv
Version: 2.05
Release: 5%{?dist}
License: GPLv2 or GPLv3
URL:     http://j3e.de/linux/convmv
Source0: %{url}/convmv-%{version}.tar.gz

Patch3000: convmv-2.0-preserve-timestamps.patch

BuildRequires: make perl-generators perl(bytes)
BuildRequires: perl(Cwd) perl(Encode) perl(File::Basename) perl(File::Compare)
BuildRequires: perl(File::Find) perl(Getopt::Long) perl(Unicode::Normalize) perl(utf8)
BuildArch: noarch

%description
This package contains the tool convmv with which you can convert the encodings of filenames, e.g.
from Latin1 to UTF-8.

%prep
%autosetup -n %{name}-%{version} -p1
tar -xf testsuite.tar

%build
%make_build

%check
make test

%install
%make_install PREFIX=%{_prefix}

%files
%license GPL2
%doc CREDITS Changes TODO
%{_bindir}/convmv
%{_mandir}/man*/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.05-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.05-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.05-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 2.05-1
- initial build
